<section class="container editar-pensamentos ff-inter">
  <header class="header">
    <h2>Adicione um <br>pensamento novo:</h2>
  </header>
  <form [formGroup]="formulario" *ngIf="formulario">
    <label for="pensamento">Pensamento</label>
    <input type="textarea" class="input" id="pensamento" formControlName="conteudo" placeholder="Digite o pensamento">
    <div class="mensagem__erro" *ngIf="formulario.get('conteudo')?.errors && formulario.get('conteudo')?.touched">
      Pensamento é obrigatório!
    </div>
    <label for="autoria">Autoria ou fonte</label>
    <input type="text" class="input" id="autoria" formControlName="autoria" placeholder="Digite a autoria ou fonte">
    <div class="mensagem__erro"
      *ngIf="formulario.get('autoria')?.errors?.['required'] && formulario.get('autoria')?.touched">
      Autoria é obrigatória!
    </div>
    <div class="mensagem__erro"
      *ngIf="formulario.get('autoria')?.errors?.['minlength'] && formulario.get('autoria')?.touched">
      Autoria precisa ter no mínimo 3 caracteres!
    </div>
    <div class="mensagem__erro"
      *ngIf="formulario.get('autoria')?.errors?.['minusculo'] && formulario.get('autoria')?.touched">
      Esse campo aceita apenas letras minúsculas
    </div>
    <label for="modelo">Selecione o modelo do card:</label>
    <div class="container-radio">
      <div class="radio-modelo">
        <label for="modelo1">
          <input type="radio" id="modelo1" value="modelo1" formControlName="modelo">
          <div class="custom-radio">
            <span></span>
          </div>
          <span>Modelo 1</span>
        </label>
        Prévia:
        <div class="modelo modelo1 ff-roboto-mono">
          <img src="../../../../assets/imagens/modelo1.png" alt="Aspas azuis">
          <p class="conteudo">{{ formulario.get('conteudo')?.value }}</p>
          <p class="autoria"><b>{{ formulario.get('autoria')?.value}}</b></p>
        </div>
      </div>

      <div class="radio-modelo">
        <label for="modelo2">
          <input type="radio" id="modelo2" value="modelo2" formControlName="modelo">
          <div class="custom-radio">
            <span></span>
          </div>
          <span>Modelo 2</span>
        </label>
        Prévia:
        <div class="modelo modelo2 ff-roboto-mono">
          <img src="../../../../assets/imagens/modelo2.png" alt="Aspas azul claro">
          <p class="conteudo">{{ formulario.get('conteudo')?.value }}</p>
          <p class="autoria"><b>{{ formulario.get('autoria')?.value}}</b></p>
        </div>
      </div>

      <div class="radio-modelo">
        <label for="modelo3">
          <input type="radio" id="modelo3" value="modelo3" formControlName="modelo">
          <div class="custom-radio">
            <span></span>
          </div>
          <span>Modelo 3</span>
        </label>
        Prévia:
        <div class="modelo modelo3 ff-roboto-mono">
          <img src="../../../../assets/imagens/modelo3.png" alt="Aspas verdes">
          <p class="conteudo">{{ formulario.get('conteudo')?.value }}</p>
          <p class="autoria"><b>{{ formulario.get('autoria')?.value}}</b></p>
        </div>
      </div>
    </div>
    <div class="acoes">
      <button [disabled]="!formulario.valid" (click)="editarPensamento()" [ngClass]="habilitarBotao()">Salvar
      </button>
      <button (click)="cancelar()" class="botao">Cancelar</button>
    </div>
  </form>
</section>